
Redmine - Patch #8332

Hook for project_settings_tab

2011-05-10 18:47 - Andriy Lesyuk

Status: New Start date: 2011-05-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Hook requests Estimated time: 0.00 hour

Target version:    

Description

Currently Redmine is missing hook which would allow adding custom tabs to project settings menu. Attached file is a patch adding

such hook named helper_projects_settings_tabs.

I know that there are ways to do this... But in this case you cannot install many plugins using such technique. Read also: 

http://www.redmine.org/boards/3/topics/20208

It's really important to me and I plan to use this hook or similar solutions in my plugins. I even have written a plugin providing this

hook. :)

Of course, a better solution could be using MenuManager for project settings tabs...

Related issues:

Related to Redmine - Feature #3686: Settings API for plugins New 2009-07-29

Related to Redmine - Feature #3735: view hook for project Settings/Informatio... New 2009-08-13

History

#1 - 2013-04-06 16:13 - Bruno Spyckerelle

I would be very interested in this feature, something new about this ?

The plugin mentioned above is very helpfull but isn't compatible with redmine 2.3

#2 - 2016-12-30 09:24 - Go MAEDA

- Category changed from Plugin API to Hook requests

Files

project_settings_hook.patch 622 Bytes 2011-05-10 Andriy Lesyuk
